<ion-header>

  <ion-navbar color="primary">
    <ion-title>{{visit.id ? visit.agent_name : 'New Visit'}}</ion-title>
    <ion-buttons end>
        <button ion-button icon-only (click)="save()"><ion-icon name="md-checkmark"></ion-icon></button>
    </ion-buttons>
  </ion-navbar>

</ion-header>

<ion-content>
  <ion-item>
    <ion-label>Customer</ion-label>
    <ion-input type="text" class="item-end" [(ngModel)]="visit.customer"></ion-input>
    <button ion-button icon-only clear item-end (click)="searchCustomer()">
      <ion-icon name="search"></ion-icon>
    </button>
  </ion-item>
  <ion-item>
    <ion-label>Contact Person</ion-label>
    <ion-input type="text" class="item-end" [(ngModel)]="visit.contact_person"></ion-input>
  </ion-item>
  <ion-item *ngIf="visit.in">
    <ion-label>IN</ion-label>
    <p item-end>{{visit.in | date:'MMM dd, yyyy HH:mm'}}</p>
  </ion-item>
  <ion-item *ngIf="visit.id">
    <ion-label>OUT</ion-label>
    <button ion-button item-end (click)="out()" *ngIf="!visit.out">CLOCK OUT</button>
    <p *ngIf="visit.out" item-end>{{visit.out | date:'MMM dd, yyyy HH:mm'}}</p>
  </ion-item>
  <ion-item>
    <ion-label floating>Remarks</ion-label>
    <ion-textarea rows="5" [(ngModel)]="visit.remarks"></ion-textarea>
  </ion-item>
  <div class="photos" *ngIf="visit.id">    
    <ion-row>
      <ion-col col-6 *ngFor="let photo of visit.photos">
          <div class="photo-placeholder" (click)="viewPhoto(photo)">
              <img [src]="photo" alt="">              
          </div>
      </ion-col>
      
      <ion-col col-6>
          <div class="photo-placeholder camera">              
            <round-progress *ngIf="progress"
                [current]="progress | async"
                [radius]="45" 
                [color]="'#4801b8'" 
                [stroke]="5" 
                [max]="100">                
            </round-progress>
            <ion-icon name="camera" *ngIf="!progress" (click)="addPhoto()"></ion-icon>
          </div>
      </ion-col>
    </ion-row>
  </div>
</ion-content>
